<!DOCTYPE html>

<html lang="en-us">

<head>
	<meta charset="utf-8">
	<title>Write Test</title>
</head>


<body>


	<div id="mainContent">
		<p id="txtHint">?</p>
		<button id="btn">Read</button>

	</div>

</body>

<!-- <script src="js/sendObject.js"></script> -->
<script>
// Tässä on toimiva Javascripti JSON-objektin lähettämiseksi php:lle AJAX-tekniikkaa käyttäen


// Tässä on esimerkki JSON-objekti




// Tehdään esimerkki JSON-objektista uusi muuttuja, joka muutetaan stringiksi JSON.stringify() metodilla


//Tässä funktio, joka lähettää objektin php:lle. Parametri object: JSON-objekti, joka halutaan lähettä. Parametri phpURL: haluttu php osoite
function sendObject(object, phpURL) {

    var objectJson = JSON.stringify(object);

    //Luodaan uusi XMLHttpRequest olio, jolla lähetetään 
    var xmlhttp = new XMLHttpRequest();
    xmlhttp.onreadystatechange = function() {
        // Tsekataan, että vastaanottajapää on vastaanottavainen 
        if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {

            var response = xmlhttp.responseText;
            //Tässä otetaan vastaan php:n lähettämä vastaus
            document.getElementById("txtHint").innerHTML = xmlhttp.responseText;
            //Tässä luodaan muuttuja, johon vastaus tallennetaan ja parsetaan
           // var myObj = JSON.parse(this.responseText);
            document.getElementById("txtHint").innerHTML = xmlhttp.response;
            console.log(objectJson);
            console.log(response);

        }
    };

    // Tässä tapahtuu itse objektin lähetys, tärkeää huomata, että "php/testaus.php" tilalle laitetaan haluttu php-tiedosto
    xmlhttp.open("POST", phpURL, true);
    xmlhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
    // Tässä tärkeää huomata, että x= on sama kuin php tiedoston vastaanottava osa, tässä esimerkissä se on $obj = json_decode($_POST["x"], false);
    xmlhttp.send("x=" + objectJson);
}


/*
	var obj = {

		"Header": "Jotain",
		"EmployerID": "100",
		"StartDate": "2017-12-24",
		"EndDate": "2017-12-24",
		"StartTime": " 11:00:00",
		"Duration": "6",
		"Salary": "500",
		"CompetencyID": "1",
		"Booked": "0",
		"Completed": "0",
		"Description": "Hauskaa ja kivaa kaikille",
		"WorkerID": "2"
	};
*/

var obj = {
	
	Name:"kikkiiki"
	
};

	document.getElementById("btn").addEventListener("click", e => {
		sendObject(JSON.stringify(obj), 'php/addCompetency.php');

		console.log(obj);
	});
</script>

</html>
